<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:16 CET 2019 -->
<title>G-Index</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../factories/GccComponentAnalysis.html" title="class in factories"><span class="typeNameLink">GccComponentAnalysis</span></a> - Class in <a href="../factories/package-summary.html">factories</a></dt>
<dd>
<div class="block">Implementation of GCC specific static code analysis using component.xml file for identifying
 potential components.</div>
</dd>
<dt><span class="memberNameLink"><a href="../factories/GccComponentAnalysis.html#GccComponentAnalysis-org.eclipse.core.commands.ExecutionEvent-">GccComponentAnalysis(ExecutionEvent)</a></span> - Constructor for class factories.<a href="../factories/GccComponentAnalysis.html" title="class in factories">GccComponentAnalysis</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getAllIFiles-org.eclipse.core.resources.IFolder-">getAllIFiles(IFolder)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return all IFiles that are directly located in given IFolder.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/ComponentHandler.html#getAvailableFactories--">getAvailableFactories()</a></span> - Method in class refinement.handlers.<a href="../refinement/handlers/ComponentHandler.html" title="class in refinement.handlers">ComponentHandler</a></dt>
<dd>
<div class="block">Return all available factories that implement different static code analysis.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getComponentNames-org.eclipse.core.resources.IFolder-">getComponentNames(IFolder)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return all component names that are extracted of "component.xml" of source sub folders
 following the assumption, that all components of the performance model must contain such a
 BasicComponent.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getCorrespondingFile-org.eclipse.core.resources.IFolder-java.lang.String-int-">getCorrespondingFile(IFolder, String, int)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Find file in given folder with given extension.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/XMLUtils.html#getElementsByTagName-org.w3c.dom.Node-java.lang.String-">getElementsByTagName(Node, String)</a></span> - Static method in class utils.<a href="../utils/XMLUtils.html" title="class in utils">XMLUtils</a></dt>
<dd>
<div class="block">Get List of all elements with tag equals tagName from given node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getFileName-org.eclipse.core.resources.IFile-">getFileName(IFile)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Split fileName of format *.{PCM} at "." and return {PCM}.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getFileStates-org.eclipse.core.resources.IFile-">getFileStates(IFile)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return the file state history of given IFile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getFolders-org.eclipse.core.commands.ExecutionEvent-">getFolders(ExecutionEvent)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Create HashMap for "pcm", "src", "refinement" and "extracted" folder as iFolder.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getIProject-org.eclipse.core.commands.ExecutionEvent-">getIProject(ExecutionEvent)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return selected project when executing an event.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getPCMIFolder-org.eclipse.core.resources.IProject-java.lang.String-">getPCMIFolder(IProject, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Get PCM IFolder that is located under project/refinement_pcms/{folderName}</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#getSelectedProject-org.eclipse.core.commands.ExecutionEvent-">getSelectedProject(ExecutionEvent)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return the file state history of given IFile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../factories/ComponentAnalysisFactory.html#getStaticAnalysis-org.eclipse.core.commands.ExecutionEvent-java.lang.String-">getStaticAnalysis(ExecutionEvent, String)</a></span> - Static method in class factories.<a href="../factories/ComponentAnalysisFactory.html" title="class in factories">ComponentAnalysisFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../provider/PCMFileProvider.html#getText-java.lang.Object-">getText(Object)</a></span> - Method in class provider.<a href="../provider/PCMFileProvider.html" title="class in provider">PCMFileProvider</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../provider/RefinementLabelProvider.html#getText-java.lang.Object-">getText(Object)</a></span> - Method in class provider.<a href="../provider/RefinementLabelProvider.html" title="class in provider">RefinementLabelProvider</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/XMLUtils.html#getXMLTree-org.eclipse.core.resources.IFile-">getXMLTree(IFile)</a></span> - Static method in class utils.<a href="../utils/XMLUtils.html" title="class in utils">XMLUtils</a></dt>
<dd>
<div class="block">Get XML tree as document from given IFile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/XMLUtils.html#getXMLTreeFromFile-java.io.File-">getXMLTreeFromFile(File)</a></span> - Static method in class utils.<a href="../utils/XMLUtils.html" title="class in utils">XMLUtils</a></dt>
<dd>
<div class="block">Get XML tree as document from given IFile.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
